Project

General

Profile

Bug #12065

On centos7, installing rudder-server-root installs rudder-agent.i686 on a x86_64 system

Added by Nicolas CHARLES over 2 years ago. Updated over 2 years ago.

Status:
Rejected
Priority:
N/A
Assignee:
-
Category:
Packaging
Target version:
Pull Request:
Severity:
User visibility:
Effort required:
Priority:
0

Description

See the logs below

==> centos_server: Resolving Dependencies
==> centos_server: --> Running transaction check
==> centos_server: ---> Package rudder-server-root.noarch 1398866025:4.3.0.alpha1.git201801300234-1.EL.7 will be installed
==> centos_server: --> Processing Dependency: rudder-inventory-ldap = 1398866025:4.3.0.alpha1.git201801300234 for package: 1398866025:rudder-server-root-4.3.0.alpha1.git201801300234-1.EL.7.noarch
==> centos_server: --> Processing Dependency: rudder-reports = 1398866025:4.3.0.alpha1.git201801300234 for package: 1398866025:rudder-server-root-4.3.0.alpha1.git201801300234-1.EL.7.noarch
==> centos_server: --> Processing Dependency: rudder-jetty = 1398866025:4.3.0.alpha1.git201801300234 for package: 1398866025:rudder-server-root-4.3.0.alpha1.git201801300234-1.EL.7.noarch
==> centos_server: --> Processing Dependency: rudder-inventory-endpoint = 1398866025:4.3.0.alpha1.git201801300234 for package: 1398866025:rudder-server-root-4.3.0.alpha1.git201801300234-1.EL.7.noarch
==> centos_server: --> Processing Dependency: rudder-agent = 1398866025:4.3.0.alpha1.git201801300234 for package: 1398866025:rudder-server-root-4.3.0.alpha1.git201801300234-1.EL.7.noarch
==> centos_server: --> Processing Dependency: rudder-webapp = 1398866025:4.3.0.alpha1.git201801300234 for package: 1398866025:rudder-server-root-4.3.0.alpha1.git201801300234-1.EL.7.noarch
==> centos_server: --> Running transaction check
==> centos_server: ---> Package rudder-agent.i686 1398866025:4.3.0.alpha1.git201801300323-1.EL.7 will be installed
==> centos_server: --> Processing Dependency: perl-Digest for package: 1398866025:rudder-agent-4.3.0.alpha1.git201801300323-1.EL.7.i686
==> centos_server: --> Processing Dependency: libpam.so.0 for package: 1398866025:rudder-agent-4.3.0.alpha1.git201801300323-1.EL.7.i686
#1

Updated by Vincent MEMBRÉ over 2 years ago

  • Target version changed from 4.3.0~beta1 to 4.3.0~rc1
#2

Updated by Benoît PECCATTE over 2 years ago

  • Status changed from New to Rejected

The problem probably came from the fact that we had a more recent nightly in i386 than in x86_64, it doesn't happen on release packages. We cannot reproduce now.
Closing, but we should reopen it if it happens on release files.

Also available in: Atom PDF